package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"resourcereference"}
)
@XmlRootElement(
   name = "TRANSFORMRESOURCEREF"
)
public class TRANSFORMRESOURCEREF {
   @XmlAttribute(
      name = "SINSTANCENAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String sinstancename;
   @XmlAttribute(
      name = "TRANSFORMATIONTYPE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String transformationtype;
   @XmlElement(
      name = "RESOURCEREFERENCE",
      required = true
   )
   protected List<RESOURCEREFERENCE> resourcereference;

   public String getSINSTANCENAME() {
      return this.sinstancename;
   }

   public void setSINSTANCENAME(String value) {
      this.sinstancename = value;
   }

   public String getTRANSFORMATIONTYPE() {
      return this.transformationtype;
   }

   public void setTRANSFORMATIONTYPE(String value) {
      this.transformationtype = value;
   }

   public List<RESOURCEREFERENCE> getRESOURCEREFERENCE() {
      if (this.resourcereference == null) {
         this.resourcereference = new ArrayList();
      }

      return this.resourcereference;
   }
}
